# Gophor

A server written in GoLang, with 2 separately supported protocols:

- A gopher server, compiled with `build-all-gopher.sh`

- A gemini server, (not yet implemented)

Unix (like) OSes only. Cross-compiled to way too many architectures.
Build-script now much improved, but still not pretty...

I'm unemployed and work on open-source projects like this and many others for
free. If you would like to help support my work that would be hugely
appreciated 💕 https://liberapay.com/grufwub/

WARNING: the development branch is filled with lava, fear and capitalism.

# Features

- Built with security, concurrency and efficiency in mind

- ZERO external dependencies

- LRU file caching with user-controlled cache size, max cached file size
  and cache refresh frequency

- CGI/1.1 support

- URL encoding with query support

- Path access restrictions with regex (see [usage](docs/USAGE.md))

- Request remapping with regex (see [usage](docs/USAGE.md))

- Separate system and access logging

# Further Docs

[Usage](docs/USAGE.md)

[CGI compliance](docs/CGI.md)

[Gopher specific information](docs/GOPHER.md)

[Extra notes](docs/MISC.md)
